Results 1 to 4 of 4

Thread: Your license OS (Debian 7) does not match the OS installed (Debian 9).

  1. #1
    Join Date
    Mar 2012
    Posts
    214

    Your license OS (Debian 7) does not match the OS installed (Debian 9).

    After update DA i see this information:
    Code:
    /usr/local/directadmin/custombuild/build versions
    Your license OS (Debian 7) does not match the OS installed (Debian 9).
    I updated debian more than one year ago but this information appeard some days ago?
    Should i worried about this? I have internal licence. What should i do?

    custombuild also shows this:
    Code:
    Latest version of DirectAdmin: 1.56.1
    Installed version of DirectAdmin: 1.56.2
    Why? 1.56.1 < 1.56.2

    Regards

  2. #2
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    7,795
    I'd suggest setting debian9 in your license (you may ask your license provider to do that).

    Regarding 1.56.1 - "./build update" should solve it Without updating the build script, it's seeing older versions and suggests downgrades. I guess you've got DirectAdmin updated using GUI (otherwise there shouldn't be a case like this).
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  3. #3
    Join Date
    Nov 2018
    Posts
    1
    Quote Originally Posted by smtalk View Post
    I'd suggest setting debian9 in your license (you may ask your license provider to do that).

    Regarding 1.56.1 - "./build update" should solve it Without updating the build script, it's seeing older versions and suggests downgrades. I guess you've got DirectAdmin updated using GUI (otherwise there shouldn't be a case like this).
    Just upgraded Debian from 8 to 9, also got license issue.
    https://imgur.com/Wmwp2nv
    https://imgur.com/lgaE0RP
    https://imgur.com/3pQYc3u

    apt update && apt upgrade
    cd /usr/local/directadmin/custombuild
    ./build update
    ./build versions

    Also tried to update licence througt panel.

  4. #4
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    13,354
    Try and install DirectAdmin compiled for Debian 9

    Code:
    cd /root/
    wget https://raw.githubusercontent.com/poralix/directadmin-utils/master/core/updateda.sh -O updateda.sh
    chmod 755 updateda.sh
    ./updateda.sh save_os --os=e9
    ./updateda.sh stable --os=e9
    Then restart DirectAdmin.

    https://forum.directadmin.com/showthread.php?t=55369
    Regards, Alex G.

    - Get the best commercial DirectAdmin support and hire me on poralix.com
    - Follow and like @Poralix on Facebook

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •